# Create a Staged Invoice via a file upload

Endpoint: POST /invoices/ocr
Version: v3.0: 3.30.0
Security: Auth API User Token

## Security:

  - `Auth API User Token` (unknown)
    http bearer JWT

## Request fields (multipart/form-data):

  - `file` (string)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `id` (string)

  - `creationKey` (string | null)

## Response 201:

  - `201` (unknown)
    Created

## Response 201 fields (application/json):

  - `id` (string)

  - `creationKey` (string | null)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 422:

  - `422` (unknown)
    Unprocessable Content

## Response 429:

  - `429` (unknown)
    Rate limiting quota exceeded
            
            Apply pause on further requests to the api using a wait method for the amount of seconds 
            presented in the Response Header Key 'Retry-After'.
            
            To prevent running into further instances of this rate limiting, use the Response Headers 
            returned back from all other requests to ensure there is enough buffer.
            
            For further information see Rate Limiting Section of Getting Started of api documentation site.

## Response 500:

  - `500` (unknown)
    An internal error has occured or the database is currently offline for
            connections.

## Response 500 fields (application/json):

  - `message` (string | null)

  - `errors` (array | null)

  - `errors.message` (string | null)

  - `errors.extensions` (string | null)

